org.eclipse.eef.core.internal.controllers

## Class EEFSectionController

- java.lang.Object
- - org.eclipse.eef.core.api.controllers.AbstractEEFController
  - - org.eclipse.eef.core.internal.controllers.EEFSectionController

All Implemented Interfaces:
  IEEFController, IEEFSectionController, IEEFToolbarActionController

    public class EEFSectionController
    extends AbstractEEFController
    implements IEEFSectionController

The controller of the section.

### Field Summary

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`editingContextAdapter, interpreter, variableManager`

### Constructor Summary

Constructors
Constructor and Description
`EEFSectionController(org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EEFPageDescription description, EditingContextAdapter editingContextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.emf.ecore.EObject` `getValidationRulesContainer()` Returns the EObject containing the validation rules.
`protected org.eclipse.emf.ecore.EReference` `getValidationRulesReference()` Returns the EReference containing the validation rules.

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`newEval, onValidation, refresh, removeValidationConsumer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFToolbarActionController

`action`

### Constructor Detail

#### EEFSectionController

    public EEFSectionController(org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                EEFPageDescription description,
                                EditingContextAdapter editingContextAdapter)

The constructor.

Parameters:
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `description` - The description of the page
  `editingContextAdapter` - The editing context adapter

### Method Detail

#### getValidationRulesContainer

    protected org.eclipse.emf.ecore.EObject getValidationRulesContainer()

Returns the EObject containing the validation rules.

Specified by:
  `getValidationRulesContainer` in class `AbstractEEFController`
Returns:
  The EObject containing the validation rules
See Also:
  `AbstractEEFController.getValidationRulesContainer()`

#### getValidationRulesReference

    protected org.eclipse.emf.ecore.EReference getValidationRulesReference()

Returns the EReference containing the validation rules.

Specified by:
  `getValidationRulesReference` in class `AbstractEEFController`
Returns:
  The EReference containing the validation rules.
See Also:
  `AbstractEEFController.getValidationRulesReference()`